stages:
  - build
  - qa
  - deploy

build:                                   # just for example
  stage: build
  script:
    - echo 'Building...'

test:                                    # This job is needed to run tests
  variables:                             # Put variables here if you want to pass they to tests pipeline
    STAND: qa
  stage: qa                              # stage name
  trigger:                               # trigger makes GitLab run another project
    project: v.drozhzha-a1qa/testing_py  # Gitlab link to test project (change this to point to your repo)
    strategy: depend                     # this strategy says GitLab to wait until tests finish

deploy:                                  # just for example
  stage: deploy
  script:
    - echo 'Deploying...'
